$('.archive_file_multiples_block a.delete').live('click', function(){
  $(this).parents('.list_item').remove();
});

$(document).on('click', '.action a.remove_existing_record', function(){
  $(this).next('.should_destroy').attr('value', 1);
  $("tr#archive_file_multiple_" + $(this).prev().attr('value')).hide();
});

